"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DialogHeaderContent = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _designparams = require("../../designparams");

var _padding = require("./padding");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DialogHeaderContent = _styledComponents.default.div.withConfig({
  displayName: "DialogHeaderContent",
  componentId: "sc-1g908vl-0"
})(["box-sizing:border-box;width:100%;height:100%;color:", ";padding:", " ", ";cursor:default;box-shadow:", ";transition:box-shadow 0.2s ease-in-out;"], _ref => {
  var {
    theme
  } = _ref;
  return theme.color.text01();
}, _designparams.spacing.large, _padding.DIALOG_PADDING, _ref2 => {
  var {
    shadowHidden,
    theme
  } = _ref2;
  return shadowHidden ? 'none' : theme.shadow.dialogHeaderFooter;
});

exports.DialogHeaderContent = DialogHeaderContent;