import { HTMLAttributes, FC } from 'react';
declare type BaseElement = HTMLDivElement;
declare type BaseProps = HTMLAttributes<BaseElement>;
export interface SkeletonTableRowsProps extends BaseProps {
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    readonly rows: number;
    readonly columns: number;
}
export declare const SkeletonTableRows: FC<SkeletonTableRowsProps>;
export {};
